﻿using System;
using Xamarin.Essentials;
using Xamarin.Forms;

namespace XF_MediaPicker
{
    public partial class MainPage : ContentPage
    {
        int angulo = 0;
        public MainPage()
        {
            InitializeComponent();
        }

        private async void btnPegar_Clicked(object sender, EventArgs e)
        {
            var resultado = await MediaPicker.PickPhotoAsync(new MediaPickerOptions
            {
                Title = "Escolha uma foto"
            });

            if (resultado != null)
            {
                var stream = await resultado.OpenReadAsync();

                minhaImagem.Source = ImageSource.FromStream(() => stream);
            }
        }

        private async void btnGerar_Clicked(object sender, EventArgs e)
        {
            var resultado = await MediaPicker.CapturePhotoAsync();

            if (resultado != null)
            {
                var stream = await resultado.OpenReadAsync();

              minhaImagem.Source = ImageSource.FromStream(() => stream);
            }
        }

        private void btnRotacionar_Clicked(object sender, EventArgs e)
        {
            angulo += 90;
            minhaImagem.RotateTo(angulo);
        }
    }
}
